Remove sentry
Deletes a specified sentry agent.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
DELETE /api/sonar/sentries/:sentry_guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X DELETE https://HOSTNAME/api/sonar/sentries/sentry-001
Request Parameters
Path Parameters
| Key | Type | Description | Note |
|---|---|---|---|
| sentry_guid | String | Sentry identifier |
Success Response
{}
Error Responses
Sentry is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "sentry does not exist for guid: c3d4e5f6-a7b8-9012-cdef-123456789012"
}
Permission denied
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}